/* PhB3DTexture.C: PhB3DTexture nodes (public source) */

#include "PhB3DTexture.H"

namespace xrml {

void PhB3DTexture::render(void)
{
  Warning(NULL, "%s::render(): not yet implemented", typeId);
}

void PhB3DTexture::load(void)
{
  Warning(NULL, "%s::load(): not yet implemented", typeId);  
}

float *PhB3DTexture::values(const Vec3& point, int *nrchannels)
{
  Warning(NULL, "%s::values(): not yet implemented", typeId);
  if (nrchannels) nrchannels = 0;
  return NULL;
}

}  // namespace xrml
